Skip to main content
Employee / Packages

Vary package item for employee

Vary an existing employee package item that is linked to a contract that has already commenced billing.

PUT
/sp/employee/package/items/{employee_package_item_id}/vary

This method requires the EmployeePackageItems:Vary permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
employee_package_item_idstringrequired

Employee Package Item Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Delegated-Locking-Session-Idstringheader

(Optional) Locking responsibility will be delegated to the specified Session Id.

This header enables the client to instruct the API to merely verify the presence of locks with the specified session id, but not attempt to obtain them itself. It requires the DelegatedLocking permission to be associated with your role.

Maximum string length: 32
Pattern: ^[0-9a-f]{32}
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

allow_retrospective_payroll_dates_flagenum<string>default:no

(Optional) When an employee package item is activated, if 'yes' budgets will be created using next payroll date that occurs on or after the specified start date, even if it has occurred before the system date. I.e. not tethered to the System Date and Payroll Cut Off Date. This setting should remain 'no' unless the API is being used for data migration purposes.

Available options: yes, no
compress_flagenum<string>default:no

Compress flag

Available options: yes, no
contract_idstring

Contract Id you want to link the Package Item to.

deduction_idstring

(Optional) [Legacy field]

deduction_per_paynumber

The amount that should be deducted from each pay.

descriptionstring

(Optional) Description

disbursement_amount_gstnumber

Expected disbursement amount (GST). This value is ignored when the Disbursement Type is 'Claim' or 'Recurring'.

disbursement_amount_netnumber

Expected disbursement amount (Net). This value is ignored when the Disbursement Type is 'Claim' or 'Recurring'.

disbursement_cycle_idstring

The frequency of the disbursements that are required. This setting is ignored when the Disbursement Type is 'Claim' or 'Recurring'.

disbursement_periodsinteger

The number of the disbursements that are required. This setting is ignored when the Disbursement Type is 'Claim' or 'Recurring'.

disbursement_typeenum<string>

Disbursement Type

Available options: claim, periodic, recurring
driver_bank_account_idstring

Linked driver bank account preference. If Disbursement Type is 'Claim' and value omitted, the default reimbursement bank account is applied (if it exists).

driver_idstring

Driver Id

employee_contributionnumberdefault:0
employee_package_item_carsobject
first_disbursement_datestring

The first date this disbursement should be made. This setting is ignored when the Disbursement Type is 'Claim' or 'Recurring'.

inertia_flagenum<string>default:no

Inertia flag

Available options: yes, no
next_datestring

Date of the next pay run the deduction schedule should continue from.

notesstring

Employee Package Item Notes

override_warnings_flagenum<string>

Override warning validation. If not specified, defaults to 'no'

Available options: yes, no
Example: no
package_item_idstring

Package Item Id

package_item_pay_cycle_idstring

Package Item Pay Cycle

payee_payment_method_idstringdefault:null

Payee payment method Id

referencestringdefault:null

If the Payment Method is 'Direct Credit', Reference must be 18 characters or less in length. If the Payment Method is 'Bpay', Reference must be 20 characters or less in length.

remaining_cyclesinteger

Remaining number of times you expect to deduct this item from a payroll up to a maximum of 999.

status_flagenum<string>default:active

Status Flag

Available options: active, accepted, expired, inactive, pending, quoting, suspended
substantiation_flagenum<string>

Set 'yes' if substantiation is required. This setting defaults to 'yes' when Disbursement Type is 'Claim'.

Available options: yes, no
supplier_idstring

The supplier that will be paid for this disbursement.

Omit when Disbursement Type is 'Claim'. Value will be overridden with the default reimbursement supplier.

tax_methodenum<string>

(Optional) Default is derived from the associated [sp_package_items]tax_method.

Available options: pre-tax, post-tax
total_deductionnumberdefault:0

Response

application/vnd.catch-e-api.v1+json

Employee Package Item varied successfully

_embeddedobject
compress_flagenum<string>default:no

Compress flag

Available options: yes, no
contract_idstring

Contract Id

cyclesinteger

Number of times you expect to deduct this item from a payroll.

deduction_idstring

Legacy field

deduction_per_paynumber

The amount that should be deducted from each pay.

descriptionstring

Employee Package Item Description

disbursement_amount_gstnumber

Expected disbursement amount (Net).

disbursement_amount_netnumber

Expected disbursement amount (Net).

disbursement_cycle_idstring

The frequency of the disbursements that are required.

disbursement_periodsinteger

The number of the disbursements that are required.

disbursement_typeenum<string>

Disbursement Type

Available options: claim, periodic, recurring
driver_bank_account_idstring

Linked driver bank account preference.

driver_idstring

Driver Id

employee_contributionnumberdefault:0

Employee Package Item Employee Contribution

employee_package_item_idstring

Employee Package Item Id

end_datestring

Date of the last pay run this item should be deducted from.

first_disbursement_datestring

The first date this disbursement should be made.

inertia_flagenum<string>default:no

Inertia flag

Available options: yes, no
notesstring

Employee Package Item Notes

package_item_idstring

Package Item Id

package_item_pay_cycle_idstring

Package Item Pay Cycle

payee_payment_method_idstringdefault:null

Payee payment method Id

referencestringdefault:null

If the Payment Method is 'Direct Credit', Reference must be 18 characters or less in length. If the Payment Method is 'Bpay', Reference must be 20 characters or less in length.

start_datestring

Date of the first pay run this item should be deducted from.

status_flagenum<string>

Status Flag

Available options: active, accepted, expired, inactive, pending, quoting, suspended
substantiation_flagenum<string>
Available options: yes, no
supplier_idstring

The supplier that will be paid for this disbursement.

tax_methodenum<string>
Available options: pre-tax, post-tax
total_deductionnumberdefault:0